{% extends "../index.htm" %}
{% load i18n %}  
{% load static %}

{% block htmlData %}
    <script src='{% static "js/hostStuff.js" %}'></script>
    <div class="w3-row">
        <div class="">
            <div class="w3-bar w3-light-grey">
                <a class="w3-button w3-blue"  style='text-decoration: none;' nohref=""><i class="fas fa-server fa-lg"></i> {% trans 'Hosts' %} </a>
                <a class="w3-button w3-blue"  style='text-decoration: none;' href="/manage"><i class="fas fa-reply-all fa-lg "></i> {% trans 'Back to Manage' %}</i></a>
            </div> 
        
            <div class='tab' id='hosts'>
                    
                    <div class="w3-responsive">
                        <table class="w3-table-all">
                        <tr class="w3-blue">
                            <th>{% trans 'Displayname' %}</th>
                            <th>{% trans 'Role' %}</th>
                            <th>{% trans 'Type' %}</th>
                            <th></th>
                            <th></th>
                        </tr>
                        
                        {% for host in Hosts %}
                            <tr>
                                <td> {{ host.displayname }} </td>
                                <td> {% trans host.role %} </td>
                                <td> {{ host.mechanism }} </td>
                                <td> <a href="javascript:editHost('{{ host.uuid }}', '{{ token }}')" title="{% trans 'Edit' %}"> <i class="far fa-edit fa-lg"></i><a></td>
                                <td> <a href="/manage/hosts/delete/{{ host.uuid }}" title="{% trans 'Delete' %}"> <i class="fas fa-trash fa-lg" style="color: red;" ></i><a></td>

                            </tr>                           
                        {% endfor %}
                        
                        <tr >
                            <td colspan='5'>
                                <button class="w3-button w3-green w3-round-large" onclick="document.getElementById('addHost').style.display='block'"> <i class="fas fa-plus-circle fa-lg"></i> {% trans 'addServer' %}</button>
                            </td>
                        </tr> 
                        </table>
                    </div>
            </div>

    </div>
    
    <!-- Add New Host -->
    <div id="addHost" class="w3-modal">
        <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="max-width:600px">
  
        <div class="w3-center"><br>
            <span onclick='cancelAddHost()' class="w3-button w3-xlarge w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
        </div>

        <form class="w3-container" method="POST" action="/manage/hosts/add">
        {% csrf_token %}
        <div class="w3-section">
            <label><b>{% trans 'Displayname' %}</b></label>
            <input class="w3-input w3-border w3-margin-bottom" type="text" placeholder="Server Pretty Name" name="displayname" required>
          
            <label><b>{% trans 'Role' %}</b></label>
            <select class="w3-select w3-border " name='role' id='role' onchange='displayMechanism()'>
                <option value='0'> {% trans 'Choose' %}</option>
                <option value='auth'> {% trans 'auth' %}</option>
                <option value='store'>{% trans 'store' %}</option>
            </select>
          
            <div class="w3-margin-top" id='mechanism' style='display:none'>
            <label><b>{% trans 'Mechanism' %}</b></label>
            <select class="w3-select w3-border " name='mechanism' id='mechanismList' onchange='displayMechanismElement()'>
            </select>
            </div>
            
            <div class="w3-margin-top" id='mechanismElement' style='display:none'>
            
            </div>
          
          
          <button class="w3-button w3-block w3-green w3-section w3-padding" type="submit">{% trans 'Submit' %}</button>
        </div>
      </form>

      <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
        <button onclick='cancelAddHost()' type="button" class="w3-button w3-red">{% trans 'Cancel' %}</button>
      </div>

    </div>
  </div> 
    
    
    
    <!-- Edit existing Host -->
        <div id="editHost" class="w3-modal">
        <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="max-width:600px">
  
        <div class="w3-center"><br>
            <span onclick='cancelEditHost()' class="w3-button w3-xlarge w3-round w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
        </div>

        <form class="w3-container" method="POST" action="/manage/hosts/update">
        {% csrf_token %}
        <div class="w3-section">
            <label><b>{% trans 'Displayname' %}</b></label>
            <input class="w3-input w3-border w3-margin-bottom" type="text" name="displayname" id="editDisplayname" value=''>
          
            <label><b>{% trans 'Role' %}</b></label>
            <input class="w3-input w3-border " type="text"  name='role' id='editRole' value='' readonly>

          
            <div class="w3-margin-top" id='mechanism'>
            <label><b>{% trans 'Mechanism' %}</b></label>
            <input class="w3-input w3-border " type="text"  name='mechanism' id='editMechanism' value='' readonly>
            </div>
            
            <div class="w3-margin-top" id='editMechanismElement'></div>
          
          <input class="w3-input w3-border " type="hidden"  name='uuid' id='uuid' value=''>
          <button class="w3-button w3-block w3-green w3-section w3-padding" type="submit">{% trans 'Submit' %}</button>
        </div>
      </form>

      <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
        <button onclick='cancelEditHost()' type="button" class="w3-button w3-red">{% trans 'Cancel' %}</button>
      </div>

    </div>
  </div> 
    
    
{% endblock %}
